Are you an LLM? Read llms.txt for a summary of the docs, or llms-full.txt for the full context.
Skip to content

tpslOrders

POST/infotype tpslOrders

List all of a user’s pending take-profit / stop-loss orders.

Request body
typestringrequired
userstringrequired
assetstringnullableoptional

Optional: instrument external id (numeric string) — the `index` value from the `perpMeta` response.

Request example
curl -X POST https://rpc.txflow-testnet.xyz/info \
  -H "Content-Type: application/json" \
  -H "x-api-version: 2026-08-16" \
  -d '{
  "asset": "4",
  "type": "tpslOrders",
  "user": "0x0000000000000000000000000000000000000000"
}'
Try it
POST https://rpc.txflow-testnet.xyz/info
Response 200
codeinteger

`0` on success.

dataTpslOrdersResponse[]
assetstring
coinstring
createTimeinteger · int64
leverageinteger · int32
marginModestring
positionModestring
quantitystring
reduceOnlyboolean
sidestring
slOidstring
slOrderPricestring
slOrderTypestring
slTriggerPricestring
tpOidstring
tpOrderPricestring
tpOrderTypestring
tpTriggerPricestring
cloidstringnullable
successboolean

`false` on error, with `code` set and the text in `message` instead of `data`.

Response example
{
  "success": true,
  "code": 0,
  "data": [
    {
      "asset": "4",
      "cloid": "",
      "coin": "4",
      "createTime": 1700000000000,
      "leverage": 0,
      "marginMode": "",
      "positionMode": "",
      "quantity": "0",
      "reduceOnly": false,
      "side": "",
      "slOid": "",
      "slOrderPrice": "0",
      "slOrderType": "",
      "slTriggerPrice": "0",
      "tpOid": "",
      "tpOrderPrice": "0",
      "tpOrderType": "",
      "tpTriggerPrice": "0"
    }
  ]
}